Package fr.gouv.vitam.storage.engine.common.model.request

# Class BulkObjectStoreRequest

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.request.BulkObjectStoreRequest

public class BulkObjectStoreRequest extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BulkObjectStoreRequest()`
  `BulkObjectStoreRequest(String workspaceContainerGUID, List<String> workspaceObjectURIs, DataCategory type, List<String> objectNames)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getObjectNames()`
  `DataCategory`
  `getType()`
  `String`
  `getWorkspaceContainerGUID()`
  `List<String>`
  `getWorkspaceObjectURIs()`
  `BulkObjectStoreRequest`
  `setObjectNames(List<String> objectNames)`
  `BulkObjectStoreRequest`
  `setType(DataCategory type)`
  `BulkObjectStoreRequest`
  `setWorkspaceContainerGUID(String workspaceContainerGUID)`
  `BulkObjectStoreRequest`
  `setWorkspaceObjectURIs(List<String> workspaceObjectURIs)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BulkObjectStoreRequest

    public BulkObjectStoreRequest()

  - ### BulkObjectStoreRequest

    public BulkObjectStoreRequest(String workspaceContainerGUID, List<String> workspaceObjectURIs, DataCategory type, List<String> objectNames)

- ## Method Details

  - ### getWorkspaceContainerGUID

    public String getWorkspaceContainerGUID()

  - ### setWorkspaceContainerGUID

    public BulkObjectStoreRequest setWorkspaceContainerGUID(String workspaceContainerGUID)

  - ### getWorkspaceObjectURIs

    public List<String> getWorkspaceObjectURIs()

  - ### setWorkspaceObjectURIs

    public BulkObjectStoreRequest setWorkspaceObjectURIs(List<String> workspaceObjectURIs)

  - ### getType

    public DataCategory getType()

  - ### setType

    public BulkObjectStoreRequest setType(DataCategory type)

  - ### getObjectNames

    public List<String> getObjectNames()

  - ### setObjectNames

    public BulkObjectStoreRequest setObjectNames(List<String> objectNames)